### Signal

# Gio AppLaunchContext::launch-failed

since: 2.36

#### Declaration

    void
    launch_failed (
      GAppLaunchContext* self,
      gchar* startup_notify_id,
      gpointer user_data
    )

#### Description [src]

The `GAppLaunchContext::launch-failed` signal is emitted when a `GAppInfo` launch fails. The startup notification id is provided, so that the launcher can cancel the startup notification.

Because a launch operation may involve spawning multiple instances of the target application, you should expect this signal to be emitted multiple times, one for each spawned instance.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.36

#### Parameters

`startup_notify_id`

  Type: `gchar*`

  The startup notification id for the failed launch.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.